[JIRA] (OVIRT-453) Gerrit: Issue 3885: Failed to index change
by eyal edri [Administrator] (oVirt JIRA)
[ https://ovirt-jira.atlassian.net/browse/OVIRT-453?page=com.atlassian.jira... ]
eyal edri [Administrator] updated OVIRT-453:
--------------------------------------------
Status: Blocked (was: To Do)
> Gerrit: Issue 3885: Failed to index change
> ------------------------------------------
>
> Key: OVIRT-453
> URL: https://ovirt-jira.atlassian.net/browse/OVIRT-453
> Project: oVirt - virtualization made easy
> Issue Type: By-EMAIL
> Reporter: eyal edri [Administrator]
> Assignee: Shlomo Ben David
>
> Its an open issue [1] in Gerrit, but still no fix available.
> We'll track it and see if there is a pending fix, cc'ing infra-support to
> open a ticket to track this.
> [1]
> https://code.google.com/p/gerrit/issues/detail?can=2&start=0&num=100&q=&c...
> On Sun, Mar 27, 2016 at 7:03 AM, Nadav Goldin <ngoldin(a)redhat.com> wrote:
> > Hi,
> > gerrit started throwing weird errors this morning, such as:
> >
> >> internal server error: com.google.gerrit.server.git.UpdateException:
> >> java.io.IOException: java.util.concurrent.ExecutionException:
> >> org.apache.lucene.store.AlreadyClosedException: this IndexWriter is closed)
> >>
> >
> > restarting it now.
> >
> >
> > Nadav.
> >
> >
> > _______________________________________________
> > Infra mailing list
> > Infra(a)ovirt.org
> > http://lists.ovirt.org/mailman/listinfo/infra
> >
> >
> --
> Eyal Edri
> Associate Manager
> RHEV DevOps
> EMEA ENG Virtualization R&D
> Red Hat Israel
> phone: +972-9-7692018
> irc: eedri (on #tlv #rhev-dev #rhev-integ)
--
This message was sent by Atlassian JIRA
(v1000.253.3#100011)
8 years, 3 months
[JIRA] (OVIRT-700) Cant use jjb to update jobs
by eyal edri [Administrator] (oVirt JIRA)
[ https://ovirt-jira.atlassian.net/browse/OVIRT-700?page=com.atlassian.jira... ]
eyal edri [Administrator] commented on OVIRT-700:
-------------------------------------------------
[~ederevea] can you check if this is related to the latest upgrade of jenkins?
> Cant use jjb to update jobs
> ---------------------------
>
> Key: OVIRT-700
> URL: https://ovirt-jira.atlassian.net/browse/OVIRT-700
> Project: oVirt - virtualization made easy
> Issue Type: By-EMAIL
> Reporter: eyal edri [Administrator]
> Assignee: infra
>
> API tocken is ok and still get following error
> jenkins-jobs --allow-empty-variables --conf ../../../jenkins_conf/upstream.conf
> test . ovirt-node-ng_*_build-artifacts*
> Traceback (most recent call last):
> File "/usr/bin/jenkins-jobs", line 10, in <module>
> sys.exit(main())
> File "/usr/lib/python2.7/site-packages/jenkins_jobs/cmd.py", line 179, in
> main
> execute(options, config)
> File "/usr/lib/python2.7/site-packages/jenkins_jobs/cmd.py", line 351, in
> execute
> n_workers=1)
> File "/usr/lib/python2.7/site-packages/jenkins_jobs/builder.py", line
> 333, in update_jobs
> self.load_files(input_fn)
> File "/usr/lib/python2.7/site-packages/jenkins_jobs/builder.py", line
> 230, in load_files
> self.parser = YamlParser(self.global_config, self.plugins_list)
> File "/usr/lib/python2.7/site-packages/jenkins_jobs/builder.py", line
> 226, in plugins_list
> self._plugins_list = self.jenkins.get_plugins_info()
> File "/usr/lib/python2.7/site-packages/jenkins_jobs/builder.py", line
> 190, in get_plugins_info
> raise e
> jenkins.JenkinsException: Error in request. Possibly authentication
> failed [403]: Forbidden
> INFO:jenkins_jobs.builder:Cache saved
> --
> Eyal Edri
> Associate Manager
> RHV DevOps
> EMEA ENG Virtualization R&D
> Red Hat Israel
> phone: +972-9-7692018
> irc: eedri (on #tlv #rhev-dev #rhev-integ)
--
This message was sent by Atlassian JIRA
(v1000.253.3#100011)
8 years, 3 months
Build failed in Jenkins: ovirt_4.0_he-system-tests #157
by jenkins@jenkins.phx.ovirt.org
See <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/157/changes>
Changes:
[Martin Polednik] use spice+vnc in basic sanity tests
[Sharon Naftaly] Adding el7 to master repo-check-closure jobs
------------------------------------------
[...truncated 1393 lines...]
## took 3533 seconds
## rc = 1
##########################################################
##! ERROR vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv
##! Last 20 log enties: logs/mocker-fedora-23-x86_64.fc23.he_basic_suite_4.0.sh/he_basic_suite_4.0.sh.log
##!
+ true
+ env_cleanup
+ echo '#########################'
#########################
+ local res=0
+ local uuid
+ echo '======== Cleaning up'
======== Cleaning up
+ [[ -e <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-te...> ]]
+ echo '----------- Cleaning with lago'
----------- Cleaning with lago
+ lago --workdir <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-te...> destroy --yes --all-prefixes
+ echo '----------- Cleaning with lago done'
----------- Cleaning with lago done
+ [[ 0 != \0 ]]
+ echo '======== Cleanup done'
======== Cleanup done
+ exit 0
Took 3351 seconds
===================================
##!
##! ERROR ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
##!########################################################
##########################################################
Build step 'Execute shell' marked build as failure
Performing Post build task...
Match found for :.* : True
Logical operation result is TRUE
Running script : #!/bin/bash -xe
echo 'shell_scripts/system_tests.collect_logs.sh'
#
# Required jjb vars:
# version
#
VERSION=4.0
SUITE_TYPE=
WORKSPACE="$PWD"
OVIRT_SUITE="$SUITE_TYPE_suite_$VERSION"
TESTS_LOGS="$WORKSPACE/ovirt-system-tests/exported-artifacts"
rm -rf "$WORKSPACE/exported-artifacts"
mkdir -p "$WORKSPACE/exported-artifacts"
if [[ -d "$TESTS_LOGS" ]]; then
mv "$TESTS_LOGS/"* "$WORKSPACE/exported-artifacts/"
fi
[ovirt_4.0_he-system-tests] $ /bin/bash -xe /tmp/hudson7685585842006748333.sh
+ echo shell_scripts/system_tests.collect_logs.sh
shell_scripts/system_tests.collect_logs.sh
+ VERSION=4.0
+ SUITE_TYPE=
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/>
+ OVIRT_SUITE=4.0
+ TESTS_LOGS=<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-te...>
+ rm -rf <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/157/artifact/expor...>
+ mkdir -p <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/157/artifact/expor...>
+ [[ -d <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-te...> ]]
+ mv <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-te...> <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-te...> <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-te...> <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-te...> <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/157/artifact/expor...>
POST BUILD TASK : SUCCESS
END OF POST BUILD TASK : 0
Match found for :.* : True
Logical operation result is TRUE
Running script : #!/bin/bash -xe
echo "shell-scripts/mock_cleanup.sh"
shopt -s nullglob
WORKSPACE="$PWD"
# Make clear this is the cleanup, helps reading the jenkins logs
cat <<EOC
_______________________________________________________________________
#######################################################################
# #
# CLEANUP #
# #
#######################################################################
EOC
# Archive the logs, we want them anyway
logs=(
./*log
./*/logs
)
if [[ "$logs" ]]; then
tar cvzf exported-artifacts/logs.tgz "${logs[@]}"
rm -rf "${logs[@]}"
fi
# stop any processes running inside the chroot
failed=false
mock_confs=("$WORKSPACE"/*/mocker*)
# Clean current jobs mockroot if any
for mock_conf_file in "${mock_confs[@]}"; do
[[ "$mock_conf_file" ]] || continue
echo "Cleaning up mock $mock_conf"
mock_root="${mock_conf_file##*/}"
mock_root="${mock_root%.*}"
my_mock="/usr/bin/mock"
my_mock+=" --configdir=${mock_conf_file%/*}"
my_mock+=" --root=${mock_root}"
my_mock+=" --resultdir=$WORKSPACE"
#TODO: investigate why mock --clean fails to umount certain dirs sometimes,
#so we can use it instead of manually doing all this.
echo "Killing all mock orphan processes, if any."
$my_mock \
--orphanskill \
|| {
echo "ERROR: Failed to kill orphans on $chroot."
failed=true
}
mock_root="$(\
grep \
-Po "(?<=config_opts\['root'\] = ')[^']*" \
"$mock_conf_file" \
)" || :
[[ "$mock_root" ]] || continue
mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
if [[ "$mounts" ]]; then
echo "Found mounted dirs inside the chroot $chroot. Trying to umount."
fi
for mount in "${mounts[@]}"; do
sudo umount --lazy "$mount" \
|| {
echo "ERROR: Failed to umount $mount."
failed=true
}
done
done
# Clean any leftover chroot from other jobs
for mock_root in /var/lib/mock/*; do
this_chroot_failed=false
mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
if [[ "$mounts" ]]; then
echo "Found mounted dirs inside the chroot $mock_root." \
"Trying to umount."
fi
for mount in "${mounts[@]}"; do
sudo umount --lazy "$mount" \
|| {
echo "ERROR: Failed to umount $mount."
failed=true
this_chroot_failed=true
}
done
if ! $this_chroot_failed; then
sudo rm -rf "$mock_root"
fi
done
if $failed; then
echo "Aborting."
exit 1
fi
# remove mock system cache, we will setup proxies to do the caching and this
# takes lots of space between runs
shopt -u nullglob
sudo rm -Rf /var/cache/mock/*
# restore the permissions in the working dir, as sometimes it leaves files
# owned by root and then the 'cleanup workspace' from jenkins job fails to
# clean and breaks the jobs
sudo chown -R "$USER" "$WORKSPACE"
[ovirt_4.0_he-system-tests] $ /bin/bash -xe /tmp/hudson6168487646776492379.sh
+ echo shell-scripts/mock_cleanup.sh
shell-scripts/mock_cleanup.sh
+ shopt -s nullglob
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/>
+ cat
_______________________________________________________________________
#######################################################################
# #
# CLEANUP #
# #
#######################################################################
+ logs=(./*log ./*/logs)
+ [[ -n ./ovirt-system-tests/logs ]]
+ tar cvzf exported-artifacts/logs.tgz ./ovirt-system-tests/logs
./ovirt-system-tests/logs/
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.he_basic_suite_4.0.sh/
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.he_basic_suite_4.0.sh/he_basic_suite_4.0.sh.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.install_packages/
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.install_packages/root.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.install_packages/build.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.install_packages/stdout_stderr.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.install_packages/state.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/root.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/build.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/stdout_stderr.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/state.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.clean_rpmdb/
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.clean_rpmdb/stdout_stderr.log
+ rm -rf ./ovirt-system-tests/logs
+ failed=false
+ mock_confs=("$WORKSPACE"/*/mocker*)
+ for mock_conf_file in '"${mock_confs[@]}"'
+ [[ -n <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-te...> ]]
+ echo 'Cleaning up mock '
Cleaning up mock
+ mock_root=mocker-fedora-23-x86_64.fc23.cfg
+ mock_root=mocker-fedora-23-x86_64.fc23
+ my_mock=/usr/bin/mock
+ my_mock+=' --configdir=<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-tests'>
+ my_mock+=' --root=mocker-fedora-23-x86_64.fc23'
+ my_mock+=' --resultdir=<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/'>
+ echo 'Killing all mock orphan processes, if any.'
Killing all mock orphan processes, if any.
+ /usr/bin/mock --configdir=<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-tests> --root=mocker-fedora-23-x86_64.fc23 --resultdir=<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/> --orphanskill
WARNING: Could not find required logging config file: <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-te....> Using default...
INFO: mock.py version 1.2.18 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Finish: run
++ grep -Po '(?<=config_opts\['\''root'\''\] = '\'')[^'\'']*' <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-te...>
+ mock_root=fedora-23-x86_64-0c362156a2fa4a935ea8b988eb73b2ad
+ [[ -n fedora-23-x86_64-0c362156a2fa4a935ea8b988eb73b2ad ]]
+ mounts=($(mount | awk '{print $3}' | grep "$mock_root"))
++ mount
++ awk '{print $3}'
++ grep fedora-23-x86_64-0c362156a2fa4a935ea8b988eb73b2ad
+ :
+ [[ -n '' ]]
+ false
+ shopt -u nullglob
+ sudo rm -Rf /var/cache/mock/fedora-23-x86_64-0c362156a2fa4a935ea8b988eb73b2ad
+ sudo chown -R jenkins <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/>
POST BUILD TASK : SUCCESS
END OF POST BUILD TASK : 1
Recording test results
Archiving artifacts
8 years, 3 months
[JIRA] (OVIRT-702) add 'isort --check-only' in check-patch.for python projects in addition to pep8 style checking.
by sbonazzo (oVirt JIRA)
sbonazzo created OVIRT-702:
------------------------------
Summary: add 'isort --check-only' in check-patch.for python projects in addition to pep8 style checking.
Key: OVIRT-702
URL: https://ovirt-jira.atlassian.net/browse/OVIRT-702
Project: oVirt - virtualization made easy
Issue Type: By-EMAIL
Reporter: sbonazzo
Assignee: infra
As proposed some time ago, please add 'isort --check-only' in
check-patch.for python projects in addition to pep8 style checking.
initial configuration:
$ cat ~/.isort.cfg [settings] line_length=79
known_standard_library=configparser,Cheetah.Template
force_single_line=True default_section=FIRSTPARTY known_otopi=otopi
known_host_deploy=ovirt_host_deploy known_ovirt_engine=ovirt_engine
known_ovirt_engine_setup=ovirt_engine_setup
known_ovirt_setup_lib=ovirt_setup_lib
known_vdsm=vdsm known_ovirt_hosted_engine_setup=ovirt_hosted_engine_setup
sections=FUTURE,STDLIB,FIRSTPARTY,OTOPI,VDSM,HOST_DEPLOY,
OVIRT_ENGINE,OVIRT_ENGINE_SETUP,OVIRT_SETUP_LIB,OVIRT_
HOSTED_ENGINE_SETUP,THIRDPARTY,LOCALFOLDER lines_between_types=2
actions:
1) update ovirt site on code styling section
2) add the check on ovirt-engine project
3) add the check to other projects that opts in. As a start all those
maintained by integration team.
--
Sandro Bonazzola
Better technology. Faster innovation. Powered by community collaboration.
See how it works at redhat.com
--
This message was sent by Atlassian JIRA
(v1000.253.3#100011)
8 years, 3 months
[JIRA] (OVIRT-678) vdsm check-merge jobs doesn't work for el7
by eyal edri [Administrator] (oVirt JIRA)
[ https://ovirt-jira.atlassian.net/browse/OVIRT-678?page=com.atlassian.jira... ]
eyal edri [Administrator] reassigned OVIRT-678:
-----------------------------------------------
Assignee: snaftaly (was: infra)
> vdsm check-merge jobs doesn't work for el7
> ------------------------------------------
>
> Key: OVIRT-678
> URL: https://ovirt-jira.atlassian.net/browse/OVIRT-678
> Project: oVirt - virtualization made easy
> Issue Type: By-EMAIL
> Reporter: sbonazzo
> Assignee: snaftaly
>
> On Wed, Aug 10, 2016 at 3:41 PM, Irit Goihman <igoihman(a)redhat.com> wrote:
> > Hi,
> > jobs vdsm_master_build-artifacts-el7-ppc64le and vdsm_master_check-merged-el7-x86_64
> > keep failing. They were created recently and should be removed.
> >
> The ppc64le should be fixed, not removed.
> We want ppc64le builds now that we have ppc64le slaves.
> The check-merged for el7 is your call, fine for me if you want to remove.
> Just weird since el7 is our main target.
> >
> > Thanks
> >
> > --
> > Irit Goihman
> > Software Engineer
> > Red Hat Israel Ltd.
> >
> > _______________________________________________
> > Infra mailing list
> > Infra(a)ovirt.org
> > http://lists.ovirt.org/mailman/listinfo/infra
> >
> >
> --
> Sandro Bonazzola
> Better technology. Faster innovation. Powered by community collaboration.
> See how it works at redhat.com
--
This message was sent by Atlassian JIRA
(v1000.253.3#100011)
8 years, 3 months